Bug 966336 - Exception is seen upon executing "rhc setup" when "mco ping" return nothing.
Exception is seen upon executing "rhc setup" when "mco ping" return nothing.
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
1.2.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Miciah Dashiel Butler Masters
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-23 01:43 EDT by Johnny Liu
Modified: 2017-03-08 12 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-28 11:45:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Johnny Liu 2013-05-23 01:43:51 EDT
Description of problem:
Stop mcollective service on node, run "rhc setup", will get an exception.



Version-Release number of selected component (if applicable):
rhc-1.8.0-1.git.12.7197c32.el6op.noarch

How reproducible:
Always

Steps to Reproduce:
1.Setup env
2.Stop mcollective service on node
3.oo-admin-cartridge -c --console
4.Run "rhc setup"

Actual results:
[root@broker ~]# rhc setup
OpenShift Client Tools (RHC) Setup Wizard

This wizard will help you upload your SSH keys, set your application namespace, and check that other programs like Git are properly installed.

Using an existing token for jialiu@redhat.com to login to broker.osebug.com

Saving configuration to /root/.openshift/express.conf ... done

Checking for git ... found git version 1.7.1

Checking common problems .. done

Checking your namespace ... jialiu

Checking for applications ... none

Run 'rhc app create' to create your first application.

/usr/lib/ruby/gems/1.8/gems/rhc-1.8.0/lib/rhc/highline_extensions.rb:334:in `allocate_widths_for': undefined method `-' for nil:NilClass (NoMethodError)
	from /usr/lib/ruby/gems/1.8/gems/rhc-1.8.0/lib/rhc/highline_extensions.rb:375:in `widths'
	from /usr/lib/ruby/gems/1.8/gems/rhc-1.8.0/lib/rhc/highline_extensions.rb:395:in `rows'
	from /usr/lib/ruby/gems/1.8/gems/rhc-1.8.0/lib/rhc/highline_extensions.rb:51:in `say'
	from /usr/lib/ruby/gems/1.8/gems/rhc-1.8.0/lib/rhc/wizard.rb:427:in `show_app_info_stage'
	from /usr/lib/ruby/gems/1.8/gems/rhc-1.8.0/lib/rhc/highline_extensions.rb:158:in `call'
	from /usr/lib/ruby/gems/1.8/gems/rhc-1.8.0/lib/rhc/highline_extensions.rb:158:in `section'
	from /usr/lib/ruby/gems/1.8/gems/rhc-1.8.0/lib/rhc/highline_extensions.rb:172:in `paragraph'
	from /usr/lib/ruby/gems/1.8/gems/rhc-1.8.0/lib/rhc/helpers.rb:257:in `send'
	from /usr/lib/ruby/gems/1.8/gems/rhc-1.8.0/lib/rhc/helpers.rb:257:in `paragraph'
	from /usr/lib/ruby/gems/1.8/gems/rhc-1.8.0/lib/rhc/wizard.rb:424:in `show_app_info_stage'
	from /usr/lib/ruby/gems/1.8/gems/rhc-1.8.0/lib/rhc/highline_extensions.rb:158:in `call'
	from /usr/lib/ruby/gems/1.8/gems/rhc-1.8.0/lib/rhc/highline_extensions.rb:158:in `section'
	from /usr/lib/ruby/gems/1.8/gems/rhc-1.8.0/lib/rhc/helpers.rb:257:in `send'
	from /usr/lib/ruby/gems/1.8/gems/rhc-1.8.0/lib/rhc/helpers.rb:257:in `section'
	from /usr/lib/ruby/gems/1.8/gems/rhc-1.8.0/lib/rhc/wizard.rb:407:in `show_app_info_stage'
	from /usr/lib/ruby/gems/1.8/gems/rhc-1.8.0/lib/rhc/wizard.rb:62:in `send'
	from /usr/lib/ruby/gems/1.8/gems/rhc-1.8.0/lib/rhc/wizard.rb:62:in `run'
	from /usr/lib/ruby/gems/1.8/gems/rhc-1.8.0/lib/rhc/wizard.rb:60:in `each'
	from /usr/lib/ruby/gems/1.8/gems/rhc-1.8.0/lib/rhc/wizard.rb:60:in `run'
	from /usr/lib/ruby/gems/1.8/gems/rhc-1.8.0/lib/rhc/commands/setup.rb:57:in `run'
	from /usr/lib/ruby/gems/1.8/gems/rhc-1.8.0/lib/rhc/commands.rb:240:in `send'
	from /usr/lib/ruby/gems/1.8/gems/rhc-1.8.0/lib/rhc/commands.rb:240:in `execute'
	from /usr/lib/ruby/gems/1.8/gems/rhc-1.8.0/lib/rhc/commands.rb:231:in `to_commander'
	from /usr/lib/ruby/gems/1.8/gems/commander-4.0.3/lib/commander/command.rb:180:in `call'
	from /usr/lib/ruby/gems/1.8/gems/commander-4.0.3/lib/commander/command.rb:180:in `call'
	from /usr/lib/ruby/gems/1.8/gems/commander-4.0.3/lib/commander/command.rb:155:in `run'
	from /usr/lib/ruby/gems/1.8/gems/commander-4.0.3/lib/commander/runner.rb:385:in `run_active_command'
	from /usr/lib/ruby/gems/1.8/gems/rhc-1.8.0/lib/rhc/command_runner.rb:70:in `run!'
	from /usr/lib/ruby/gems/1.8/gems/commander-4.0.3/lib/commander/delegates.rb:7:in `run!'
	from /usr/lib/ruby/gems/1.8/gems/rhc-1.8.0/lib/rhc/cli.rb:36:in `start'
	from /usr/lib/ruby/gems/1.8/gems/rhc-1.8.0/bin/rhc:18
	from /usr/bin/rhc:19:in `load'
	from /usr/bin/rhc:19


Expected results:
No exception is seen.

Additional info:
This issue does not occur with online client - rhc-1.9.3-1.el6oso.noarch
Comment 2 Jan Pazdziora 2013-05-23 08:29:15 EDT
I confirm the problem. Restarting the mcollective service did not help. Is there any way to work around the issue?

Where can one get that rhc-1.9.3-1.el6oso.noarch?
Comment 3 Brenton Leanhardt 2013-05-23 08:42:42 EDT
I'm building the latest rhc for OSE now.
Comment 4 Johnny Liu 2013-05-23 09:03:59 EDT
(In reply to Jan Pazdziora from comment #2)
> I confirm the problem. Restarting the mcollective service did not help. Is
> there any way to work around the issue?

After restart mcollective service on node, and make sure "mco ping" is working fine on broker.
And run "oo-admin-cartridge -c --console", then try again "rhc setup".

> 
> Where can one get that rhc-1.9.3-1.el6oso.noarch?
I launch a online devenv instance, then use yumdownloader to get the rhc rpm package.
Comment 6 Johnny Liu 2013-05-23 23:14:24 EDT
Verified this bug with rhc-1.9.3-1.git.1.8bd5fe1.el6op.noarch, and PASS.
Comment 7 Luke Meyer 2013-06-28 11:45:20 EDT
Closing all bugs introduced, fixed, and verified during 1.2 release work (thus never shipped).

Note You need to log in before you can comment on or make changes to this bug.